<?php
function getRealIP()

{

//   echo $_SERVER['HTTP_X_FORWARDED_FOR'] . " " . $_SERVER['REMOTE_ADDR'] . " " ;

   if( $_SERVER['HTTP_X_FORWARDED_FOR'] != '' )

   {

      $client_ip =

         ( !empty($_SERVER['REMOTE_ADDR']) ) ?

            $_SERVER['REMOTE_ADDR']

            :

            ( ( !empty($_ENV['REMOTE_ADDR']) ) ?

               $_ENV['REMOTE_ADDR']

               :

               "unknown" );

   

      // los proxys van añadiendo al final de esta cabecera

      // las direcciones ip que van "ocultando". Para localizar la ip real

      // del usuario se comienza a mirar por el principio hasta encontrar

      // una dirección ip que no sea del rango privado. En caso de no

      // encontrarse ninguna se toma como valor el REMOTE_ADDR

   

      $entries = explode('[, ]', $_SERVER['HTTP_X_FORWARDED_FOR']);

   

      reset($entries);

      while (list(, $entry) = each($entries))

      {

         $entry = trim($entry);

         if ( preg_match("/^([0-9]+\.[0-9]+\.[0-9]+\.[0-9]+)/", $entry, $ip_list) )

         {

            // http://www.faqs.org/rfcs/rfc1918.html

            $private_ip = array(

                  '/^0\./',

                  '/^127\.0\.0\.1/',

                  '/^192\.168\..*/',

                  '/^172\.((1[6-9])|(2[0-9])|(3[0-1]))\..*/',

                  '/^10\..*/');

   

            $found_ip = preg_replace($private_ip, $client_ip, $ip_list[1]);

   

            if ($client_ip != $found_ip)

            {

               $client_ip = $found_ip;

               break;

            }

         }

      }

   }

   else

   {

      $client_ip =

         ( !empty($_SERVER['REMOTE_ADDR']) ) ?

            $_SERVER['REMOTE_ADDR']

            :

            ( ( !empty($_ENV['REMOTE_ADDR']) ) ?

               $_ENV['REMOTE_ADDR']

               :

               "unknown" );

   }

   

   return $client_ip;

   

}
function ftipos_imo($link,$referencia_cliente){
		global $tipos_de_imo;
		
		$tipos_de_imo='';
		$mercanciaQ = mysqli_query($link,"select distinct imo from detallebooking where referencia_cliente='$referencia_cliente' and imo<>'' ");

		while($mercancia = mysqli_fetch_array($mercanciaQ)){
			$tipos_de_imo=$mercancia[0].', '.$tipos_de_imo;
		}
		
		$tipos_de_imo = substr($tipos_de_imo,0,strlen($tipos_de_imo)-2);
}

// calcula el peso bruto de un contenedor
function fpeso_bruto($link,$link_impo,$files,$interteam,$referencia_cliente){
		global $tbulk,$tweight,$tnetweight;
		if($interteam==1){
			 
			//$results9 = mysqli_query("SELECT * FROM detailcargaexpint where files='$files'"); // and bookingno like '$txtbooking%'
			$results9 = mysqli_query($link_impo,"SELECT sum(D.weight*1) FROM detailcargaexpint D where D.files='$files'"); // and bookingno like '$txtbooking%'
			//SELECT sum(D.weight*1) FROM detailcargaexpint where files='VERBUE04862M13'  VER3013-BUE
		}else{
			// suno los pesos en veracruz
			 
			$results9 = mysqli_query($link,"SELECT sum(D.weight*1) FROM detailcargaexpint D ,hblexpint H where D.id_bl=H.idhbl and H.referencia = '".$referencia_cliente."' and D.tipo_bl = 'HBL' and H.status = 'OK'"); 
		}
				 
		$row9=mysqli_fetch_array($results9);
		$tweight=$row9[0];
		   
		if($interteam==0){
			$results99 = mysqli_query($link,"SELECT * FROM detailcargaexpint D ,hblexpint H where D.id_bl=H.idhbl and H.referencia = '".$referencia_cliente."' and D.tipo_bl = 'MBL' and H.status = 'OK' ");
			while($r=mysqli_fetch_array($results99)){
						$buscar = data($link,"select count(D.id_bl) from detailcargaexpint D,hblexpint H where D.id_bl=H.idhbl
						and H.referencia = '".$referencia_cliente."' and D.bookingno = '".$r[bookingno]."' and H.status = 'OK'"); 
		
						if($buscar[0]==1){
							$suma = data($link,"SELECT sum(D.weight*1) FROM detailcargaexpint D ,hblexpint H where D.id_bl=H.idhbl 
							and H.referencia = '".$referencia_cliente."' and D.bookingno = '".$r[bookingno]."' and D.tipo_bl = 'MBL' and H.status = 'OK'"); 
							$tweight+=$suma[0];
							
						}
			}
		}
			
		   /*$bulk= $row9['bulk']*1;
		   $weight= $row9['weight']*1;
		   $netweight= $row9['netweight']*1;  
		   $tbulk=$tbulk*1+$bulk*1;*/
		   //$measurement= $row9['measurement']*1;
		   //$tweight=$tweight*1+$weight*1;
		   //$tnetweight=$tweight*1+$weight*1;
		
		//}
}

// busca una referencia de interteam a partir de una referencia de veracruz
function regimen($link,$txtreferencia_cliente){
	 
	global $r0,$r1,$r2,$r3,$r4,$r5,$r6,$r7;
	$datos_lpv=data($link,"select * from datosbooking where referencia_cliente like '$txtreferencia_cliente%' and referencia_cliente<>''");
	//echo "select * from datosbooking where referencia_cliente like '$txtreferencia_cliente%'";
	$tmp=explode(',',$datos_lpv[regimen]);
	$r0 = $tmp[0];
	$r1 = $tmp[1];
	$r2 = $tmp[2];
	$r3 = $tmp[3];
	$r4 = $tmp[4];
	$r5 = $tmp[5];
	$r6 = $tmp[6];
	$r7 = $tmp[7];
}

// junta los un de un contenedor
function un_($link,$txtreferencia_cliente){
	global $un;
	$un='';
		$mercanciaQ = mysqli_query($link,"select distinct un from detallebooking where referencia_cliente='$txtreferencia_cliente' and un<>'' ");

		while($mercancia = mysqli_fetch_array($mercanciaQ)){
			$un=$mercancia[0].', '.$un;
		}
		
		$un = substr($un,0,strlen($un)-2);
}


function ref_cliente($valor){
	$query = mysqli_query("select referencia_cliente from referencias_veracruz where referencia like '".$valor."%'");
	//echo "select referencia_cliente from referencias_veracruz where referencia = '".$valor."'";
	if(mysqli_num_rows($query)>0){
		$row = mysqli_fetch_array($query);
		//
		return $row[referencia_cliente];
	}else{
		return;
	}
}

function ref_veracruz($valor){
	$query = mysqli_query("select referencia from referencias_veracruz where referencia_cliente like '".$valor."%'");
	//echo "select referencia from referencias_veracruz where referencia_cliente = '".$valor."'";
	if(mysqli_num_rows($query)>0){
		$row = mysqli_fetch_array($query);
		
		return $row[referencia];
	}else{
		return;
	}
}



function qry_($linkT,$condicion,$tabla,$regreso){
$query=mysqli_query($linkT,"select ".$regreso." from ".$tabla." where ".$condicion);

$r=mysqli_fetch_array($query);
return $r[0];
}

function val($valor){
	$cadena = utf8_decode($valor);
	$buscar = array("ª","º","º"," #",":","+","-","á","Á","ñ","Ñ","é","É","í","Í","ó","Ó","ú","Ú","ò","Ò","è","È","ì","Ì","ù","Ù","à","À","ç","Ç","ä","Ä","ë","Ë","ï","Ï","ö","Ö","ü","Ü");
	$puerto = 0;
	$resultado=0;
	
	$valor=str_replace("'","\\'\\",$valor); // jojojoi! escapa el caracter ' de por ejemplo d'ambrosio
	
	for($i=0;$i<count($buscar);$i++){
		$resultado = strpos($cadena, $buscar[$i]);
		if($resultado>=0) {$puerto = 1;$i=count($buscar)+1;}
	}
	/*if($puerto==1)	{
		$valor=strtoupper($valor);
	}else{*/
		$valor=utf8_decode(strtoupper($valor));
	//} 
	return $valor; 
}
// regresa el hbl de un booking
function hbl_($linkT,$input){
$query=mysqli_query($linkT,"select hbl from hblexpint where booking = '".$input."'");

$r=mysqli_fetch_array($query);
return $r[0];
}

function formato_importe($valor) {

	if (! isset($valor))

		return "";

	return "\$".number_format($valor,2);

}

function formato_fecha($valor) {

	if (! isset($valor))

		return "";

	$time	= strtotime($valor);

	return date("d-m-Y",$time);

}

function formato_hora($valor) {

	if (! isset($valor))

		return "";

	$time	= strtotime($valor);

	return date("H:i",$time);

}


function startsWith($texto, $comparativo) {

	if (is_array($texto)) {

		foreach($texto as $linea) {

			if(substr($linea, 0, strlen($comparativo)) == $comparativo) {

				return true;

			}

		}

		return false;

	} else {

		return (substr($texto, 0, strlen($comparativo)) == $comparativo);

	}

}
 
 

function fechaSQL($fecha) {

	// en formato yyyy-mm-dd

	if ( ! isset($fecha) || $fecha=="" ) {

		return "null";

	}

	return "STR_TO_DATE('$fecha','%d-%m-%Y')";

}

function horaSQL($hora) {

	if ( ! isset($hora) || $hora=="" ) {

		return "null";

	}

	$laDatos	= split(":", $hora);

	$hora		= str_pad($laDatos[0], 2, "0", STR_PAD_LEFT);

	$mins		= str_pad($laDatos[1], 2, "0", STR_PAD_LEFT);

	//return "'$hora:$mins'";

	return "STR_TO_DATE('$hora:$mins','%H:%i')";

}



/*!

  @function num2letras ()

  @abstract Dado un n�mero lo devuelve escrito.

  @param $num number - N�mero a convertir.

  @param $fem bool - Forma femenina (true) o no (false).

  @param $dec bool - Con decimales (true) o no (false).

  @result string - Devuelve el n�mero escrito en letra.



*/

function num2letras($num, $dec=true, $upper=true, $pesos=true, $round=2, $fem=false ) {

	//if (strlen($num) > 14) die("El n�mero introducido es demasiado grande");

	$matuni[2]  = "dos";

	$matuni[3]  = "tres";

	$matuni[4]  = "cuatro";

	$matuni[5]  = "cinco";

	$matuni[6]  = "seis";

	$matuni[7]  = "siete";

	$matuni[8]  = "ocho";

	$matuni[9]  = "nueve";

	$matuni[10] = "diez";

	$matuni[11] = "once";

	$matuni[12] = "doce";

	$matuni[13] = "trece";

	$matuni[14] = "catorce";

	$matuni[15] = "quince";

	$matuni[16] = "dieciseis";

	$matuni[17] = "diecisiete";

	$matuni[18] = "dieciocho";

	$matuni[19] = "diecinueve";

	$matuni[20] = "veinte";

	$matunisub[2] = "dos";

	$matunisub[3] = "tres";

	$matunisub[4] = "cuatro";

	$matunisub[5] = "quin";

	$matunisub[6] = "seis";

	$matunisub[7] = "sete";

	$matunisub[8] = "ocho";

	$matunisub[9] = "nove";



	$matdec[2] = "veint";

	$matdec[3] = "treinta";

	$matdec[4] = "cuarenta";

	$matdec[5] = "cincuenta";

	$matdec[6] = "sesenta";

	$matdec[7] = "setenta";

	$matdec[8] = "ochenta";

	$matdec[9] = "noventa";

	$matsub[3]  = 'mill';

	$matsub[5]  = 'bill';

	$matsub[7]  = 'mill';

	$matsub[9]  = 'trill';

	$matsub[11] = 'mill';

	$matsub[13] = 'bill';

	$matsub[15] = 'mill';

	$matmil[4]  = 'millones';

	$matmil[6]  = 'billones';

	$matmil[7]  = 'de billones';

	$matmil[8]  = 'millones de billones';

	$matmil[10] = 'trillones';

	$matmil[11] = 'de trillones';

	$matmil[12] = 'millones de trillones';

	$matmil[13] = 'de trillones';

	$matmil[14] = 'billones de trillones';

	$matmil[15] = 'de billones de trillones';

	$matmil[16] = 'millones de billones de trillones';



	$num = trim((string)@$num);

	if ($num[0] == '-') {

		$neg = 'menos ';

		$num = substr($num, 1);

	} else

		$neg = '';

	while ($num[0] == '0') $num = substr($num, 1);

	if ($num[0] < '1' or $num[0] > 9) $num = '0' . $num;

	$zeros = true;

	$punt = false;

	$ent = '';

	$fra = '';

	for ($c = 0; $c < strlen($num); $c++) {

		$n = $num[$c];

		if (! (strpos(".,'''", $n) === false)) {

			if ($punt) break;

			else{

				$punt = true;

				continue;

			}

		} elseif (! (strpos('0123456789', $n) === false)) {

			if ($punt) {

				if ($n != '0') $zeros = false;

				$fra .= $n;

			} else

				$ent .= $n;

		} else

			break;

	}



	$ent = '     ' . $ent;

	if ($pesos) {

		//$centavos = round($fra,$round);

		//$fin .= ' pesos ' . str_pad($centavos,$round,'0',STR_PAD_RIGHT) . '/100 M.N.';

		if ( $fra == '' )

			$fra = '0';

		$centavos = round('0.'.$fra,$round);

		if (strlen($centavos) <= 2)	// El resultado de centavos=0 � 0.

			$centavos = '0.0';

		@$fin .= ' pesos ' . @str_pad(@substr($centavos,2),$round,'0', STR_PAD_RIGHT). '/100 M.N.';

	} else {

		if ($dec and $fra and ! $zeros) {

			$fin = ' punto';

			for ($n = 0; $n < strlen($fra); $n++) {

				if (($s = $fra[$n]) == '0')

					$fin .= ' cero';

				elseif ($s == '1')

					$fin .= $fem ? ' una' : ' un';

				else

					$fin .= ' ' . $matuni[$s];

			}

			//$fin .= ' ' . num2letras($fra, false, $upper, $pesos, $round, $fem);

		} else

			$fin = '';

	}



	if ((int)$ent === 0) {

		$tex = 'cero' . $fin;

	} else {

		$tex = '';

		$sub = 0;

		$mils = 0;

		$neutro = false;

		while ( ($num = substr($ent, -3)) != '   ') {

			$ent = substr($ent, 0, -3);

			if (++$sub < 3 and $fem) {

				$matuni[1] = 'una';

				$subcent = 'as';

			} else {

				$matuni[1] = $neutro ? 'un' : 'uno';

				$subcent = 'os';

			}

			$t = '';

			$n2 = substr($num, 1);

			if ($n2 == '00') {

			} elseif ($n2 < 21)

				$t = ' ' . $matuni[(int)$n2];

			elseif ($n2 < 30) {

				$n3 = $num[2];

				if ($n3 != 0) $t = 'i' . $matuni[$n3];

				$n2 = $num[1];

				$t = ' ' . $matdec[$n2] . $t;

			} else {

				$n3 = $num[2];

				if ($n3 != 0) $t = ' y ' . $matuni[$n3];

				$n2 = $num[1];

				$t = ' ' . $matdec[$n2] . $t;

			}

			$n = $num[0];

			if ($n == 1) {

				$t = ' ciento' . $t;

			} elseif ($n == 5) {

				$t = ' ' . $matunisub[$n] . 'ient' . $subcent . $t;

			} elseif ($n != 0) {

				$t = ' ' . $matunisub[$n] . 'cient' . $subcent . $t;

			}

			if ($sub == 1) {

			} elseif (! isset($matsub[$sub])) {

				if ($num == 1) {

					$t = ' mil';

				} elseif ($num > 1) {

					$t .= ' mil';

				}

			} elseif ($num == 1) {

				$t .= ' ' . $matsub[$sub] . 'on';

			} elseif ($num > 1) {

				$t .= ' ' . $matsub[$sub] . 'ones';

			}

			if ($num == '000') $mils ++;

			elseif ($mils != 0) {

				if (isset($matmil[$sub])) $t .= ' ' . $matmil[$sub];

				$mils = 0;

			}

			$neutro = true;

			$tex = $t . $tex;

		}

		$tex = $neg . substr($tex, 1) . $fin;

	}

	if ($upper)

		return strtoupper($tex);

	else

		return ucfirst($tex);

}



function mesador($mes)
{
	// Obtiene el mes actual 
	// retorna el nombre del mes
	// un clasico :P
	switch($mes)
	{
		case '1':
			$mesLetra = 'Enero';
		break;
		case '2':
			$mesLetra = 'Febrero';
		break;
		case '3':
			$mesLetra = 'Marzo';
		break;
		case '4':
			$mesLetra = 'Abril';
		break;
		case '5':
			$mesLetra = 'Mayo';
		break;
		case '6':
			$mesLetra = 'Junio';
		break;
		case '7':
			$mesLetra = 'Julio';
		break;
		case '8':
			$mesLetra = 'Agosto';
		break;
		case '9':
			$mesLetra = 'Septiembre';
		break;
		case '10':
			$mesLetra = 'Octubre';
		break;
		case '11':
			$mesLetra = 'Noviembre';
		break;
		case '12':
			$mesLetra = 'Diciembre';
		break;
	}
	return $mesLetra;
}



function busquedaB($link,$param,$resultado){
	$query1 = mysqli_query($link,$param );
	if(mysqli_num_rows($query1)>0){
		$row = mysqli_fetch_array($query1);
		return $row[$resultado];
	}else{
		return;
	}
}


function tran_date($fecha){
$tmp=explode("-",$fecha);
if($tmp[2].'-'.$tmp[1].'-'.$tmp[0]!='--'){
return $tmp[2].'-'.$tmp[1].'-'.$tmp[0];
}else{return '';}
}

function reverse_date($fecha){
$tmp=explode("/",$fecha);
return $tmp[2].'-'.$tmp[1].'-'.$tmp[0];
}

function _and($cond){
	if($cond=='') return ''; else return ' and ';
}

function data($param,$query){
	$query1 = mysqli_query($param,$query);
	if(mysqli_num_rows($query1)>0){
		return mysqli_fetch_array($query1);
	}else{
		return;
	}
}
 
function vacios($param){
if($param=="") return "0"; else return $param;
}

function defectoValue($concepto,$valor_por_defecto){
if($concepto=="") return $valor_por_defecto; else return $concepto;
}

function explote_mes($fecha){
$tmpA = explode("-",$fecha);
return number_format($tmpA[1]); 
}

function explote_dia($fecha){
$tmpA = explode("-",$fecha);
return number_format($tmpA[2]); 
}

function explote_anio($fecha){
$tmp = explode("-",$fecha);
return $tmp[0];echo $tmp[0];
}

function sumarDias($fecha_db,$dias){
//$fecha_db = "2000-10-29";
$fecha_db = explode("-",$fecha_db);

$fecha_cambiada = mktime(0,0,0,$fecha_db[1],$fecha_db[2]+$dias,$fecha_db[0]);
//$fecha = date("d/m/Y", $fecha_cambiada);
$fecha = date("Y-m-d", $fecha_cambiada);
return $fecha;
}

function compararFechas($primera, $segunda)   
 {   
  $valoresPrimera = explode ("-", $primera);      
  $valoresSegunda = explode ("-", $segunda);    
  $diaPrimera    = $valoresPrimera[2];     
  $mesPrimera  = $valoresPrimera[1];     
  $anyoPrimera   = $valoresPrimera[0];    
  $diaSegunda   = $valoresSegunda[2];     
  $mesSegunda = $valoresSegunda[1];     
  $anyoSegunda  = $valoresSegunda[0];   
  $diasPrimeraJuliano = gregoriantojd($mesPrimera, $diaPrimera, $anyoPrimera);     
  $diasSegundaJuliano = gregoriantojd($mesSegunda, $diaSegunda, $anyoSegunda);        
  if(!checkdate($mesPrimera, $diaPrimera, $anyoPrimera)){   
    // "La fecha ".$primera." no es válida";   
    return 0;   
  }elseif(!checkdate($mesSegunda, $diaSegunda, $anyoSegunda)){   
    // "La fecha ".$segunda." no es válida";   
    return 0;   
  }else{   
    return  $diasPrimeraJuliano - $diasSegundaJuliano;   
  }    
} 
function dia_de_la_semana($fecha){
	$dia[0]="Lunes";
	$dia[1]="Martes";
	$dia[2]="Miércoles";
	$dia[3]="Jueves";
	$dia[4]="Viernes";
	$dia[5]="Sábado";
	$dia[6]="Domingo";
	return $dia[calcula_numero_dia_semana(dia_de_fecha($fecha),mes_de_fecha($fecha),anio_de_fecha($fecha))];
}
function bookingexpint($condicion,$txtbooking){
	global $rbookingexpint;
	include("comun/conexion3.php");
	$query = mysqli_query("SELECT * FROM bookingexpint where ".$condicion." like '$txtbooking%'");
	$rbookingexpint=mysqli_fetch_array($query);
	return $rbookingexpint;
}

function hblexpint($condicion,$hbl){
	global $rhblexpint;
	include("comun/conexion3.php");
	$query = mysqli_query("SELECT * FROM hblexpint where ".$condicion." like '$hbl%'");
	$rhblexpint=mysqli_fetch_array($query);
	return $rhblexpint;
}


global $rbookingexpint;
global $rhblexpint;

function quita($s) {
   $s = str_replace("ç","c",$s);
   $s = str_replace("Ç","C",$s);
   return $s;
}

//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//%%%%%%%%%%%%%%%%%%%%%%%%% escapa el caracter ' (apostrofe) %%%%%%%%%%%%%%%%%%%%%%%%%%
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function ret($val){
		return str_replace("'","\'",$val);
}

//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//%%%%%%%%% regresa los valores del booking/referencia registrado en veracruz %%%%%%%%%
//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function DATOSBOOKING($LINK,$LINK_IMPO,$txtreferencia_cliente){
global $buque,$viaje,$ets,$cliente,$booking_naviera,$pod,$naviera,$almacen,$procedencia_vacio,$almacen_consolidacion,$desde,$hacia,$tipo_mercancia,$pedimento,$linea,$contenedor_f,$dimension,$sello_f,$tipo,$tara,$destino_final,$comentarios,$almacen_consolidacion,$liberado,
$cierre_documentos,$cierre_vgm,$cierre_buque,$zarpe,$tara,$fotos_consolidado;

$fotos_consolidado='';
$tara='';
			$zarpe='';
			$liberado='';
			$comentarios='';
			$buque='' ;
			$viaje='';
			$ets='';
			$cliente='';
			$booking_naviera='';
			$pod='';
			$destino_final='';
			$naviera='';
			$almacen='';
			$procedencia_vacio='';
			$almacen_consolidacion='';
			$desde='';
			$hacia='';
			$tipo_mercancia='';
			$pedimento='';
			$linea='';
			 
			$dimension='';
			$tara='';
			 
			$tipo='';
			$cierre_documentos='';
			$cierre_vgm='';
			$cierre_buque='';			
	 
		 
			$buque='';
			$ets='';
			$zarpe='';
			$tara='';
 
			$contenedor_f='';
			$dimension='';
			$sello_f='';
			$tipo='';
			$blmaster_ams='';
			$booking_naviera='';
		 
			$viaje='';
			$pod='';
			$destino_final='';
			$naviera='';
			$almacen='';
			$tara=''; 
			
		$datos_lpv=data($LINK,"select * from datosbooking where referencia_cliente like '$txtreferencia_cliente%' and referencia_cliente<>''");
		
			//ECHO "1 select * from datosbooking where referencia_cliente like '$txtreferencia_cliente%' and referencia_cliente<>''<BR>";	
		//echo "select * from datosexpint where referencia_interteam like '$txtreferencia_cliente%'";
		if(count($datos_lpv)==0){
			$cliente = 'INTERTEAM S.A. DE C.V.';
			 
			$q=data($LINK_IMPO,"select * from datosexpint where referencia_interteam like '$txtreferencia_cliente%' ORDER BY referencia_interteam");
			//echo "select * from datosexpint where referencia_interteam like '$txtreferencia_cliente%' ORDER BY referencia_interteam";
			$buque=$q[vessel];
			$ets=$q[ets];
			$zarpe=$q[time_of_departure];
			$tara='';
			
			if($q[files]!=''){
			$booking_ssl_Q = data($LINK_IMPO,"SELECT * FROM containerdetailexpint where files like '".$q[files]."%' AND bookingssl<>'' ORDER BY files");
			echo "<br><br>SELECT * FROM containerdetailexpint where files like '".$q[files]."%' AND bookingssl<>'' ORDER BY files";
			$tmp_type = explode(" ",$booking_ssl_Q[type]);
			$contenedor_f=$booking_ssl_Q[containerno];
			$dimension=$tmp_type[0];
			$sello_f=$booking_ssl_Q[containerseal];
			$tipo=$tmp_type[1];
			$blmaster_ams=$booking_ssl_Q["blmaster_ams"];
			$booking_naviera=$booking_ssl_Q[bookingssl];echo $contenedor;
			}
			$viaje=$q[voyage];
			$pod=$q[pod];
			$destino_final=$q[finaldestination];
			$naviera=$q[shippingline];
			$almacen=$q[cfsgeneral];
			$tara=ret('0');
			
		}else{
			$fotos_consolidado=$datos_lpv[fotos_consolidado];
			$tara=$datos_lpv[tara];
			$zarpe=$datos_lpv[zarpe];
			$liberado=$datos_lpv[liberado];
			$comentarios=$datos_lpv[comentarios];
			$buque=$datos_lpv[vessel];
			$viaje=$datos_lpv[voyage];
			$ets=$datos_lpv[ets];
			$cliente=$datos_lpv[cliente];
			$booking_naviera=$datos_lpv[booking_ssl];
			$pod=$datos_lpv[pod];
			$destino_final=$datos_lpv[finaldestination];
			$naviera=$datos_lpv[shippingline];
			$almacen=$datos_lpv[cfsgeneral];
			$procedencia_vacio=$datos_lpv[procedencia_vacio];
			$almacen_consolidacion=$datos_lpv[almacen_consolidacion];
			$desde=$datos_lpv[desde];
			$hacia=$datos_lpv[hacia];
			$tipo_mercancia=$datos_lpv[tipo_mercancia];
			$pedimento=$datos_lpv[pedimento];
			$linea=$datos_lpv[linea];
			$contenedor_f=$datos_lpv[contenedor];
			$dimension=$datos_lpv[dimension];
			$tara=$datos_lpv[tara]*1;
			$sello_f=$datos_lpv[sello];
			$tipo=$datos_lpv[tipo];
			$cierre_documentos=$datos_lpv[cierre_documentacion];
			$cierre_vgm=$datos_lpv[cierre_vgm];
			$cierre_buque=$datos_lpv[cierre_buque];
		}
		
		 echo '  con '.$contenedor_f;
}
?> 